create or replace view CT_MRDS.VW_FILE_RECONCILIATION as 
select 
    case 
      when c.bytes is null then 'RECEIVED_MISSING_ON_CLOUD'
      when r.bytes is null then 'NOT_RECEIVED'
      when r.bytes is not null and c.bytes is not null then 'RECEIVED'
      else 'UNKNOWN'
    end as status
   ,c.object_name as cloud_file
   ,r.* 
from DBMS_CLOUD.LIST_OBJECTS('OCI$RESOURCE_PRINCIPAL', CT_MRDS.FILE_MANAGER.GET_INBOX_BUCKET_URI()) c
full join a_source_file_received r
   on  c.bytes    = r.bytes
   and c.checksum = r.checksum
   and c.created  = r.created
  ;